From 1b9b9236cb4c636decb405417eed397b9643e2e4 Mon Sep 17 00:00:00 2001
From: Sandeep Kumar <sandeep.kumar.ruhil@gmail.com>
Date: Tue, 23 Apr 2013 15:12:15 +0530
Subject: [PATCH] Qt: Make fullscreen bar thinner in one line interface
 profile.

---
 modules/gui/qt4/components/controller.cpp |    3 +--
 modules/gui/qt4/components/controller.hpp |    2 --
 2 files changed, 1 insertion(+), 4 deletions(-)

diff --git a/modules/gui/qt4/components/controller.cpp b/modules/gui/qt4/components/controller.cpp
index 44de18a..2928bd5 100644
--- a/modules/gui/qt4/components/controller.cpp
+++ b/modules/gui/qt4/components/controller.cpp
@@ -740,7 +740,6 @@ FullscreenControllerWidget::FullscreenControllerWidget( intf_thread_t *_p_i, QWi
 
     setWindowFlags( Qt::ToolTip );
     setMinimumWidth( FSC_WIDTH );
-    setMinimumHeight( FSC_HEIGHT );
     isWideFSC = false;
 
     setFrameShape( QFrame::StyledPanel );
@@ -908,7 +907,7 @@ void FullscreenControllerWidget::updateFullwidthGeometry( int number )
 {
     QRect screenGeometry = QApplication::desktop()->screenGeometry( number );
     setMinimumWidth( screenGeometry.width() );
-    setGeometry( screenGeometry.x(), screenGeometry.y() + screenGeometry.height() - FSC_HEIGHT, screenGeometry.width(), FSC_HEIGHT );
+    setGeometry( screenGeometry.x(), screenGeometry.y() + screenGeometry.height() - height(), screenGeometry.width(), height() );
     adjustSize();
 }
 
diff --git a/modules/gui/qt4/components/controller.hpp b/modules/gui/qt4/components/controller.hpp
index 51e477b..bfe68e9 100644
--- a/modules/gui/qt4/components/controller.hpp
+++ b/modules/gui/qt4/components/controller.hpp
@@ -249,8 +249,6 @@ signals:
 /* Used to restore the minimum width after a full-width switch */
 #define FSC_WIDTH 800
 
-#define FSC_HEIGHT 72
-
 /***********************************
  * Fullscreen controller
  ***********************************/
-- 
1.7.10.4

